/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EstacionSitef;

/**
 * 
 * @author Desenvolvimento
 */
public class EstacionSitefRender implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EstacionSitef es = (EstacionSitef) o;

		if (!es.getActivo()) {
			return;
		}

		Listcell lc = new Listcell(es.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		lc = new Listcell(es.getNumempresa().toString());
		lc.setParent(lstm);

		lc = new Listcell(es.getNumfilial().toString());
		lc.setParent(lstm);

		lc = new Listcell(es.getNumpdv().toString());
		lc.setParent(lstm);

		lc = new Listcell(es.getIpServidor());
		lc.setParent(lstm);

		lstm.setValue(es);
	}
}
